## Assign Role To User In Organization

**put** `/api/v1/organizations/{organization_id}/users/roles`

Assign a role to a user in an organization.

### Path Parameters

- `organization_id: string`

### Cookie Parameters

- `session: optional string`

### Body Parameters

- `organization_id: string`

  The organization's ID.

- `role_id: string`

  The role's ID.

- `user_id: string`

  The user's ID.

### Returns

- `UserOrganizationRole object { id, organization_id, role, 4 more }`

  Schema for a user's role in an organization.

  - `id: string`

    Unique identifier

  - `organization_id: string`

    The organization's ID.

  - `role: Role`

    The role.

    - `id: string`

      Unique identifier

    - `name: string`

      A name for the role.

    - `permissions: array of object { id, access, description, 3 more }`

      The actual permissions of the role.

      - `id: string`

        Unique identifier

      - `access: boolean`

        Whether the permission is granted or not.

      - `description: string`

        A description for the permission.

      - `name: string`

        A name for the permission.

      - `created_at: optional string`

        Creation datetime

      - `updated_at: optional string`

        Update datetime

    - `created_at: optional string`

      Creation datetime

    - `updated_at: optional string`

      Update datetime

  - `user_id: string`

    The user's ID.

  - `created_at: optional string`

    Creation datetime

  - `project_ids: optional array of string`

    The project ID scope.

  - `updated_at: optional string`

    Update datetime

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/users/roles \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "role_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "user_id": "user_id"
        }'
```

#### Response

```json
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "role": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "user_id": "user_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "project_ids": [
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  ],
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```
